## pango1.0 1.52.1+ds

=== meson_options.txt ===
option('gtk_doc',
       description: 'Build API reference for Pango using GTK-Doc',
       type: 'boolean',
       value: false)
option('introspection',
       description: 'Build the GObject introspection data for Pango',
       type: 'feature',
       value: 'auto',
       yield: true)
option('install-tests',
       description : 'Install tests',
       type: 'boolean',
       value: false)
option('fontconfig',
       description : 'Build with FontConfig support. Passing \'auto\' or \'disabled\' disables fontconfig where it is optional, i.e. on Windows and macOS. Passing \'disabled\' on platforms where fontconfig is required results in error.',
       type: 'feature',
       value: 'auto')
option('sysprof',
       type : 'feature',
       value : 'disabled',
       description : 'include tracing support for sysprof')
option('libthai',
       type : 'feature',
       value : 'auto',
       description : 'Build with libthai support')
option('cairo',
       type : 'feature',
       value : 'enabled',
       description : 'Build with cairo support')
option('xft',
       type : 'feature',
       value : 'auto',
       description : 'Build with xft support')
option('freetype',
       type : 'feature',
       value : 'auto',
       description : 'Build with freetype support')

=== debian/changelog ===
pango1.0 (1.52.1+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:43:55 +0000

pango1.0 (1.52.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop dh-sequence-gnome from Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 16:14:27 -0500

pango1.0 (1.52.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - 1.51.2:
      + Use single fontconfig thread
      + Fix problems with spaces at line ends
      + pango-viewer: Fix hint-metrics options
      + Pangofont: Add properties
    - 1.52.0:
      + Add pango_font_map_reload_font
      + Improve formatting of font sizes
  * debian/libpango-1.0-0.symbols: Add new symbol.

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 27 Feb 2024 15:47:27 -0500

=== debian/control ===
Source: pango1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               fonts-cantarell <!nocheck>,
               fonts-dejavu-core <!nocheck>,
               fonts-noto-color-emoji <!nocheck>,
               fonts-noto-core <!nocheck>,
               gir1.2-cairo-1.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-harfbuzz-0.0-dev <pkg.gobject-introspection.todo>,
               gobject-introspection (>= 1.78.1-9~),
               help2man,
               libcairo2-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libfribidi-dev,
               libglib2.0-dev,
               libharfbuzz-dev,
               libthai-dev,
               libx11-dev,
               libxft-dev,
               libxrender-dev,
               libxt-dev,
               locales <!nocheck> | locales-all <!nocheck>,
               meson,
               perl:native,
               pkgconf,
Build-Depends-Indep: gi-docgen <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/pango
Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
Homepage: https://www.pango.org/

Package: libpango-1.0-0
Architecture: any
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangocairo-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangoxft-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangoft2-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpango1.0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Layout and rendering of internationalized text - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: libpango1.0-dev
Section: libdevel
Architecture: any
Depends: gir1.2-pango-1.0 (= ${binary:Version}),
         libcairo2-dev,
         libfontconfig-dev,
         libfreetype-dev,
         libfribidi-dev,
         libglib2.0-dev,
         libharfbuzz-dev,
         libpango-1.0-0 (= ${binary:Version}),
         libpangocairo-1.0-0 (= ${binary:Version}),
         libpangoft2-1.0-0 (= ${binary:Version}),
         libpangoxft-1.0-0 (= ${binary:Version}),
         libthai-dev,
         libx11-dev,
         libxft-dev,
         libxrender-dev,
         pango1.0-tools (= ${binary:Version}),
         pkgconf,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libpango1.0-doc
Provides: gir1.2-pango-1.0-dev (= ${binary:Version}),
          gir1.2-pangocairo-1.0-dev (= ${binary:Version}),
          gir1.2-pangofc-1.0-dev (= ${binary:Version}),
          gir1.2-pangoft2-1.0-dev (= ${binary:Version}),
          gir1.2-pangoot-1.0-dev (= ${binary:Version}),
          gir1.2-pangoxft-1.0-dev (= ${binary:Version})
Multi-Arch: same
Description: Development files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the header files and some files needed for development
 with Pango.

Package: libpango1.0-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Multi-Arch: foreign
Description: Documentation files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the HTML documentation for the Pango in
 /usr/share/doc/libpango1.0-doc/ .

Package: gir1.2-pango-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: gir1.2-pangocairo-1.0 (= ${binary:Version}),
          gir1.2-pangofc-1.0 (= ${binary:Version}),
          gir1.2-pangoft2-1.0 (= ${binary:Version}),
          gir1.2-pangoot-1.0 (= ${binary:Version}),
          gir1.2-pangoxft-1.0 (= ${binary:Version})
Multi-Arch: same
Description: Layout and rendering of internationalized text - gir bindings
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: pango1.0-tests
Architecture: any
Depends: fonts-cantarell,
         fonts-noto-color-emoji,
         fonts-noto-core,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Layout and rendering of internationalized text - installed tests
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

# built if: nodoc || !cross
Package: pango1.0-tools
Build-Profiles: <nodoc> <!cross>
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: graphicsmagick
Multi-Arch: foreign
Description: Development utilities for Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. However, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+ 2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends.
 .
 This package contains pango-view, the Pango text viewer, and pango-list,
 a utility that outputs a list of compatible system fonts.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

built_binaries := $(shell dh_listpackages)
configure_options :=

ifneq ($(filter libpango1.0-doc,$(built_binaries)),)
with_docs = true
else
with_docs = false
endif

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
configure_options += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dgtk_doc=$(with_docs) \
		-Dinstall-tests=true \
		$(configure_options)

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/tests/run-with-locales \
		--generate en_US.utf8 \
		-- \
	env \
		LC_ALL=en_US.utf8 \
	dh_auto_test
endif

# Skip build-time tests if all we are building is documentation; running
# them once per architecture is plenty
override_dh_auto_test-indep:
	@:

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb=libpango1.0-udeb -- -c4

## pango1.0 1.52.2+ds

=== debian/changelog ===
pango1.0 (1.52.2+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 14:34:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,

## pango1.0 1.54.0+ds

=== debian/changelog ===
pango1.0 (1.54.0+ds-2) unstable; urgency=medium

  * Enable sysprof profiling integration on available architectures
    (LP: #2077465)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 16:56:39 -0400

pango1.0 (1.54.0+ds-1) unstable; urgency=medium

  * New upstream release
  * debian/libpango-1.0-0.symbols: Add new symbol
  * Add patch to revert dropping installed tests uses by autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 09:19:21 -0400

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                libfribidi-dev,
                libglib2.0-dev,
                libharfbuzz-dev,
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.pango1.0.nosysprof>,
                libthai-dev,
                libx11-dev,
                libxft-dev,
@@ -31,7 +32,7 @@
                perl:native,
                pkgconf,
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/pango
 Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
 Homepage: https://www.pango.org/
@@ -152,6 +153,7 @@
          libpangocairo-1.0-0 (= ${binary:Version}),
          libpangoft2-1.0-0 (= ${binary:Version}),
          libpangoxft-1.0-0 (= ${binary:Version}),
+         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.pango1.0.nosysprof>,
          libthai-dev,
          libx11-dev,
          libxft-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,16 @@
 with_docs = true
 else
 with_docs = false
+endif
+
+ifneq ($(filter pkg.pango1.0.nosysprof,$(DEB_BUILD_PROFILES)),)
+configure_options += -Dsysprof=disabled
+else
+ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
+configure_options += -Dsysprof=disabled
+else
+configure_options += -Dsysprof=enabled
+endif
 endif
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))

## pango1.0 1.55.0+ds

=== debian/changelog ===
pango1.0 (1.55.0+ds-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Dec 2024 14:04:40 -0500

pango1.0 (1.55.0+ds-2) experimental; urgency=medium

  * New upstream release
  * Remove fonts-cantarell from Build-Depends and Depends
  * Add Build-Conflicts: fonts-cantarell (issue was reported upstream)
  * Bump minimum fontconfig, harfbuzz, and meson
  * debian/libpango-1.0-0.symbols: Add new symbol
  * Remove 2 workaround patches that are no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Dec 2024 12:38:25 -0500

pango1.0 (1.54.0+ds-3) unstable; urgency=medium

  * Depend on gir1.2-harfbuzz-0.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 13:13:52 -0400

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               fonts-cantarell <!nocheck>,
                fonts-dejavu-core <!nocheck>,
                fonts-noto-color-emoji <!nocheck>,
                fonts-noto-core <!nocheck>,
                gir1.2-cairo-1.0-dev,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
-               gir1.2-harfbuzz-0.0-dev <pkg.gobject-introspection.todo>,
+               gir1.2-harfbuzz-0.0-dev (>= 8.4.0),
                gobject-introspection (>= 1.78.1-9~),
                help2man,
                libcairo2-dev,
-               libfontconfig-dev,
+               libfontconfig-dev (>= 2.15.0),
                libfreetype-dev,
                libfribidi-dev,
                libglib2.0-dev,
-               libharfbuzz-dev,
+               libharfbuzz-dev (>= 8.4.0),
                libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.pango1.0.nosysprof>,
                libthai-dev,
                libx11-dev,
@@ -28,10 +27,12 @@
                libxrender-dev,
                libxt-dev,
                locales <!nocheck> | locales-all <!nocheck>,
-               meson,
+               meson (>= 1.2.0),
                perl:native,
                pkgconf,
 Build-Depends-Indep: gi-docgen <!nodoc>
+# https://gitlab.gnome.org/GNOME/pango/-/issues/831
+Build-Conflicts: fonts-cantarell <!nocheck>
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/pango
 Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
@@ -39,7 +40,7 @@
 
 Package: libpango-1.0-0
 Architecture: any
-Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
+Depends: fontconfig (>= 2.15.0), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
  Pango is a library for layout and rendering of text, with an emphasis
@@ -144,11 +145,11 @@
 Architecture: any
 Depends: gir1.2-pango-1.0 (= ${binary:Version}),
          libcairo2-dev,
-         libfontconfig-dev,
+         libfontconfig-dev (>= 2.15.0),
          libfreetype-dev,
          libfribidi-dev,
          libglib2.0-dev,
-         libharfbuzz-dev,
+         libharfbuzz-dev (>= 8.4.0),
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
          libpangoft2-1.0-0 (= ${binary:Version}),
@@ -240,8 +241,7 @@
 
 Package: pango1.0-tests
 Architecture: any
-Depends: fonts-cantarell,
-         fonts-noto-color-emoji,
+Depends: fonts-noto-color-emoji,
          fonts-noto-core,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -285,4 +285,3 @@
   - Native fonts on Microsoft backends.
  .
  This package contains pango-view, the Pango text viewer, and pango-list,
- a utility that outputs a list of compatible system fonts.

## pango1.0 1.56.0

=== debian/changelog ===
pango1.0 (1.56.0-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 04:00:17 -0500

pango1.0 (1.56.0-2) experimental; urgency=medium

  * Cherry-pick build system improvements

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Jan 2025 08:47:53 -0500

pango1.0 (1.56.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib and cairo
  * Update Build-Depends: help2man -> python3-docutils
  * debian/libpango*.symbols: Add new symbols
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 Jan 2025 12:52:04 -0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
+           Iain Lane <laney@debian.org>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>,
+           Marco Trevisan (Treviño) <marco@ubuntu.com>,
+           Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                fonts-dejavu-core <!nocheck>,
@@ -13,12 +18,11 @@
                gir1.2-gobject-2.0-dev,
                gir1.2-harfbuzz-0.0-dev (>= 8.4.0),
                gobject-introspection (>= 1.78.1-9~),
-               help2man,
-               libcairo2-dev,
+               libcairo2-dev (>= 1.18.0),
                libfontconfig-dev (>= 2.15.0),
                libfreetype-dev,
                libfribidi-dev,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.80),
                libharfbuzz-dev (>= 8.4.0),
                libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.pango1.0.nosysprof>,
                libthai-dev,
@@ -30,6 +34,7 @@
                meson (>= 1.2.0),
                perl:native,
                pkgconf,
+               python3-docutils <!nodoc>
 Build-Depends-Indep: gi-docgen <!nodoc>
 # https://gitlab.gnome.org/GNOME/pango/-/issues/831
 Build-Conflicts: fonts-cantarell <!nocheck>
@@ -144,11 +149,11 @@
 Section: libdevel
 Architecture: any
 Depends: gir1.2-pango-1.0 (= ${binary:Version}),
-         libcairo2-dev,
+         libcairo2-dev (>= 1.18.0),
          libfontconfig-dev (>= 2.15.0),
          libfreetype-dev,
          libfribidi-dev,
-         libglib2.0-dev,
+         libglib2.0-dev (>= 2.80),
          libharfbuzz-dev (>= 8.4.0),
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
@@ -244,7 +249,7 @@
 Depends: fonts-noto-color-emoji,
          fonts-noto-core,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Layout and rendering of internationalized text - installed tests
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is
@@ -266,8 +271,7 @@
 Package: pango1.0-tools
 Build-Profiles: <nodoc> <!cross>
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: graphicsmagick
 Multi-Arch: foreign
 Description: Development utilities for Pango
@@ -283,5 +287,3 @@
   - Client-side fonts on X using the Xft library
   - Direct rendering of scalable fonts using the FreeType library
   - Native fonts on Microsoft backends.
- .
- This package contains pango-view, the Pango text viewer, and pango-list,

=== debian/tests/control ===
Tests: build
Depends: build-essential, libpango1.0-dev, pkg-config
Restrictions: superficial

Tests: installed-tests
Depends: dbus (>= 1.8),
         gnome-desktop-testing,
         locales | locales-all,
         pango1.0-tests,
         xauth,
         xvfb
Restrictions: allow-stderr

Tests: python3-gi
Depends: gir1.2-gdk-3.0, gir1.2-pango-1.0, python3-gi, xauth, xvfb
Restrictions: allow-stderr, superficial

## pango1.0 1.56.1

=== debian/changelog ===
pango1.0 (1.56.1-1) unstable; urgency=medium

  * New upstream release
  * Remove 3 patches applied in new release
  * Remove now unnecessary Build-Conflicts: fonts-cantarell
  * autopkgtest: Add Depends: fonts-cantarell as a way to test
    the underlying issue

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Jan 2025 10:08:35 -0500

## pango1.0 1.56.3

=== debian/changelog ===
pango1.0 (1.56.3-2) unstable; urgency=medium

  * debian/gbp.conf: branch for forky
  * Add patch to fix expected test results with harfbuzz 11.4.5
    (Closes: #1114252)
  * Bump minimum harfbuzz dependencies to 11.4.5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 20:41:21 -0400

pango1.0 (1.56.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:38:37 -0400

pango1.0 (1.56.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 11:33:37 -0400

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
                gir1.2-cairo-1.0-dev,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
-               gir1.2-harfbuzz-0.0-dev (>= 8.4.0),
+               gir1.2-harfbuzz-0.0-dev (>= 11.4.5),
                gobject-introspection (>= 1.78.1-9~),
                libcairo2-dev (>= 1.18.0),
                libfontconfig-dev (>= 2.15.0),
                libfreetype-dev,
                libfribidi-dev,
                libglib2.0-dev (>= 2.80),
-               libharfbuzz-dev (>= 8.4.0),
+               libharfbuzz-dev (>= 11.4.5),
                libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.pango1.0.nosysprof>,
                libthai-dev,
                libx11-dev,
@@ -36,8 +36,6 @@
                pkgconf,
                python3-docutils <!nodoc>
 Build-Depends-Indep: gi-docgen <!nodoc>
-# https://gitlab.gnome.org/GNOME/pango/-/issues/831
-Build-Conflicts: fonts-cantarell <!nocheck>
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/pango
 Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
@@ -154,7 +152,7 @@
          libfreetype-dev,
          libfribidi-dev,
          libglib2.0-dev (>= 2.80),
-         libharfbuzz-dev (>= 8.4.0),
+         libharfbuzz-dev (>= 11.4.5),
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
          libpangoft2-1.0-0 (= ${binary:Version}),
@@ -287,3 +285,5 @@
   - Client-side fonts on X using the Xft library
   - Direct rendering of scalable fonts using the FreeType library
   - Native fonts on Microsoft backends.
+ .
+ This package contains pango-view, the Pango text viewer, and pango-list,

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 Tests: installed-tests
 Depends: dbus (>= 1.8),
+         fonts-cantarell,
          gnome-desktop-testing,
          locales | locales-all,
          pango1.0-tests,

## pango1.0 1.56.4

=== debian/changelog ===
pango1.0 (1.56.4-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/control: Increase (build-)dependency versions as per meson.build

  [ Jeremy Bícha ]
  * Add Build-Depends: fonts-cantarell for build tests
  * Remove nosysprof build profile because libsysprof-capture-4-dev
    is built for all architectures and is easier to bootstrap now
  * Update installed tests patch
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jan 2026 10:10:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pango1.0
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
            Iain Lane <laney@debian.org>,
@@ -10,21 +9,26 @@
            Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               fonts-cantarell <!nocheck>,
                fonts-dejavu-core <!nocheck>,
                fonts-noto-color-emoji <!nocheck>,
                fonts-noto-core <!nocheck>,
                gir1.2-cairo-1.0-dev,
+               gir1.2-fontconfig-2.0-dev,
+               gir1.2-freetype2-2.0-dev,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-harfbuzz-0.0-dev (>= 11.4.5),
-               gobject-introspection (>= 1.78.1-9~),
+               gir1.2-xft-2.0-dev,
+               gir1.2-xlib-2.0-dev,
+               gobject-introspection (>= 1.83.2),
                libcairo2-dev (>= 1.18.0),
                libfontconfig-dev (>= 2.15.0),
                libfreetype-dev,
                libfribidi-dev,
-               libglib2.0-dev (>= 2.80),
+               libglib2.0-dev (>= 2.82),
                libharfbuzz-dev (>= 11.4.5),
-               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.pango1.0.nosysprof>,
+               libsysprof-capture-4-dev (>= 3.38.0) [linux-any],
                libthai-dev,
                libx11-dev,
                libxft-dev,
@@ -36,7 +40,7 @@
                pkgconf,
                python3-docutils <!nodoc>
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/pango
 Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
 Homepage: https://www.pango.org/
@@ -146,33 +150,27 @@
 Package: libpango1.0-dev
 Section: libdevel
 Architecture: any
-Depends: gir1.2-pango-1.0 (= ${binary:Version}),
-         libcairo2-dev (>= 1.18.0),
+Depends: libcairo2-dev (>= 1.18.0),
          libfontconfig-dev (>= 2.15.0),
          libfreetype-dev,
          libfribidi-dev,
-         libglib2.0-dev (>= 2.80),
+         libglib2.0-dev (>= 2.82),
          libharfbuzz-dev (>= 11.4.5),
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
          libpangoft2-1.0-0 (= ${binary:Version}),
          libpangoxft-1.0-0 (= ${binary:Version}),
-         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.pango1.0.nosysprof>,
+         libsysprof-capture-4-dev (>= 3.38.0) [linux-any],
          libthai-dev,
          libx11-dev,
          libxft-dev,
          libxrender-dev,
          pango1.0-tools (= ${binary:Version}),
          pkgconf,
+         ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
 Suggests: libpango1.0-doc
-Provides: gir1.2-pango-1.0-dev (= ${binary:Version}),
-          gir1.2-pangocairo-1.0-dev (= ${binary:Version}),
-          gir1.2-pangofc-1.0-dev (= ${binary:Version}),
-          gir1.2-pangoft2-1.0-dev (= ${binary:Version}),
-          gir1.2-pangoot-1.0-dev (= ${binary:Version}),
-          gir1.2-pangoxft-1.0-dev (= ${binary:Version})
+Provides: ${gir:Provides}
 Multi-Arch: same
 Description: Development files for the Pango
  Pango is a library for layout and rendering of text, with an emphasis
@@ -218,12 +216,8 @@
 Package: gir1.2-pango-1.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Provides: gir1.2-pangocairo-1.0 (= ${binary:Version}),
-          gir1.2-pangofc-1.0 (= ${binary:Version}),
-          gir1.2-pangoft2-1.0 (= ${binary:Version}),
-          gir1.2-pangoot-1.0 (= ${binary:Version}),
-          gir1.2-pangoxft-1.0 (= ${binary:Version})
+Depends: ${gir:Depends}, ${misc:Depends}
+Provides: ${gir:Provides}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text - gir bindings
  Pango is a library for layout and rendering of text, with an emphasis
@@ -287,3 +281,4 @@
   - Native fonts on Microsoft backends.
  .
  This package contains pango-view, the Pango text viewer, and pango-list,
+ a utility that outputs a list of compatible system fonts.

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,14 @@
 with_docs = false
 endif
 
-ifneq ($(filter pkg.pango1.0.nosysprof,$(DEB_BUILD_PROFILES)),)
+ifneq ($(filter pango1.0-tools,$(built_binaries)),)
+configure_options += -Dman-pages=true
+endif
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+configure_options += -Dsysprof=enabled
+else
 configure_options += -Dsysprof=disabled
-else
-ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
-configure_options += -Dsysprof=disabled
-else
-configure_options += -Dsysprof=enabled
-endif
 endif
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))

## pango1.0 1.57.0

=== debian/changelog ===
pango1.0 (1.57.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum fontconfig and meson
  * debian/libpango-1.0-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jan 2026 09:52:18 -0500

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                gir1.2-xlib-2.0-dev,
                gobject-introspection (>= 1.83.2),
                libcairo2-dev (>= 1.18.0),
-               libfontconfig-dev (>= 2.15.0),
+               libfontconfig-dev (>= 2.17.0),
                libfreetype-dev,
                libfribidi-dev,
                libglib2.0-dev (>= 2.82),
@@ -35,7 +35,7 @@
                libxrender-dev,
                libxt-dev,
                locales <!nocheck> | locales-all <!nocheck>,
-               meson (>= 1.2.0),
+               meson (>= 1.9.0),
                perl:native,
                pkgconf,
                python3-docutils <!nodoc>
@@ -47,7 +47,7 @@
 
 Package: libpango-1.0-0
 Architecture: any
-Depends: fontconfig (>= 2.15.0), ${misc:Depends}, ${shlibs:Depends}
+Depends: fontconfig (>= 2.17.0), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
  Pango is a library for layout and rendering of text, with an emphasis
@@ -151,7 +151,7 @@
 Section: libdevel
 Architecture: any
 Depends: libcairo2-dev (>= 1.18.0),
-         libfontconfig-dev (>= 2.15.0),
+         libfontconfig-dev (>= 2.17.0),
          libfreetype-dev,
          libfribidi-dev,
          libglib2.0-dev (>= 2.82),
